Bug 200393 - Always shows driver dialog on log-in
Always shows driver dialog on log-in
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: desktop-printing (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: John (J5) Palmieri
:
Depends On:
Blocks: FC6Desktop
  Show dependency treegraph
 
Reported: 2006-07-27 09:27 EDT by Tim Waugh
Modified: 2013-03-13 00:51 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-10 22:11:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
desktop-printing-test.patch (304 bytes, patch)
2006-07-27 09:27 EDT, Tim Waugh
no flags Details | Diff

  None (edit)
Description Tim Waugh 2006-07-27 09:27:59 EDT
Description of problem:
Even when a queue has been automatically created by hal-lpadmin, eggcups shows a
dialog asking which driver to use.

Version-Release number of selected component (if applicable):
desktop-printing-0.19-11

How reproducible:
100%

Steps to Reproduce:
1. Plug in a printer
2. Log in on VT1 and observe 'lpstat -s' -- queue is already added
3. Log in via GDM
  
Actual results:
'Select driver' dialog

Expected results:
No dialog

Additional info:
This patch makes it work as I expect it to.

Why is eggcups looking at gconf?  What's that for?
Comment 1 Tim Waugh 2006-07-27 09:27:59 EDT
Created attachment 133148 [details]
desktop-printing-test.patch
Comment 2 John (J5) Palmieri 2006-07-27 16:09:34 EDT
How does it work in stateless?  If I reboot my computer the queue should have
been removed.  eggcups uses gconf to remeber what was chosen last so it can map
a printer not in the foomatics database to one that is in it.
Comment 3 Tim Waugh 2006-07-28 12:38:14 EDT
Differently. :-)  With stateless, we'll have to remember whole PPD files, and
gconf just isn't appropriate.

The stateless code isn't completely fleshed out yet, but the original outline
design is here:

  http://fedoraproject.org/wiki/Printing/AdminToolOutline

(section 2.1.3)
Comment 4 Ray Strode [halfline] 2006-08-10 22:11:45 EDT
Thanks Tim,

Should be in tomorrrow's rawhide.
Comment 5 sangu 2006-09-09 01:49:02 EDT
canon m170, desktop-printing-0.19-12, turboprint-1.94-4 (
http://www.turboprint.info/download2.html )
$lpstat -s
system default destination: tp0
device for tp0:
hal:///org/freedesktop/Hal/devices/usb_device_4a9_170a_F08759_if1_printer_noserial

When plugging printer, "Specify printer Driver" dialog always appears.

Note You need to log in before you can comment on or make changes to this bug.